Hacking Mathew_Wi said: Update to 5.5.1 while you can

Status
Not open for further replies.

Antonio Ricardo

Well-Known Member
OP
Member
Joined
Apr 29, 2013
Messages
359
Trophies
0
Age
37
Location
Rio de Janeiro
XP
492
Country
Brazil
Protip: Update to 5.5.1 while you can. There won't be many more opportunities like this.
Considering I've used it already, I can say they aren't as full of shit as people think.

https://twitter.com/Mathew_Wi/status/766504663826870272

So, a true dev saying and IOSU Exploit and stuffs (Emunand,etc) is coming very soon.
Salt Team will release, his support on 3ds scene is formidable.
@Mathew_Wi thank you for your dedication and all devs working on WIIU Scene.

Team Salt
hykem
zecoxao
naehrwert
Crediar
George Klees (Marionumber1)
Mathew_Wi
QuarkTheAwesome
comex
Mathieulh
Nwplayer123
pwsincd
Just Pingo
vgmoose
rw-r-r_0644
brienj
AppleTinivi
Smealum (Tools stuffs)
Plutoo
Maschell
Dimok
Cyan
NexoCube
BullyWiiPlaza
Tueidj
 
Last edited by Antonio Ricardo,

retrofan_k

Well-Known Member
Member
Joined
May 31, 2013
Messages
2,068
Trophies
1
Location
Caves
XP
2,370
Country
Belarus
No need to be hasty, I'm sure there is at least one retail game disc that contains the 5.5.1 update. Waiting patiently.

Not being hasty, it's true though. Look how the Hykem threads were and everything else, as it went out of control. Just update to 5.5.1 via WiFi now, as there is no current 5.5.1 disc update to my knowledge.

It may end up like 8.1 3DS were there was no 9.2 cart update.
 
Last edited by retrofan_k,

sj33

Well-Known Member
Member
Joined
Oct 22, 2013
Messages
4,064
Trophies
1
XP
4,662
Country
Japan
I'm still not entirely sure why people are so reluctant to update.

I get it. You're on a firmware version that you know is exploitable, and you're worried you'll miss out on an exploit if you update. But the current existing public kernel exploit works identically on 5.5.1, and all the main developers of the IOSU exploit have been telling people to update for weeks. I'm not sure how much clearer they can make it.
 

smileyhead

I like cute stuff.
Member
Joined
Aug 31, 2015
Messages
4,729
Trophies
3
Age
22
Location
Budakeszi, Hungary
Website
sites.google.com
XP
9,602
Country
Hungary
Yk1CcwV.png

Oooh, they're coming!!
 

retrofan_k

Well-Known Member
Member
Joined
May 31, 2013
Messages
2,068
Trophies
1
Location
Caves
XP
2,370
Country
Belarus
I'm still not entirely sure why people are so reluctant to update.

I get it. You're on a firmware version that you know is exploitable, and you're worried you'll miss out on an exploit if you update. But the current existing public kernel exploit works identically on 5.5.1, and all the main developers of the IOSU exploit have been telling people to update for weeks. I'm not sure how much clearer they can make it.

I think it maybe because WiiU 5.3.2 was the golden firmware to be on, like 4.5 was for the 3DS and it's the same with emunand with a9lh when you tell people they don't actually need emunand anymore. Its been drummed in so much, it is scary for some to update.
 

Kohmei

Well-Known Member
Member
Joined
Feb 17, 2013
Messages
824
Trophies
0
XP
1,029
Country
United States
There is no loss or risk on being on 5.5.1, everything that's been released for homebrew works perfectly fine on 5.5.1 lol.
While the latter part is true, it's not necessarily true that there is no loss or risk to updating to 5.5.1 if you are on lower firmwares.

For instance, let us suppose that "SALT" and "Mathew_Wi" are full of shit. Then, down the line, an IOSU exploit is released for 5.4 or 5.3.2 or whatever FW version you were on. Then what? You're screwed until it's adapted to 5.5.1
 
  • Like
Reactions: Kvnrdrguez

the_randomizer

The Temp's official fox whisperer
Member
Joined
Apr 29, 2011
Messages
31,284
Trophies
2
Age
37
Location
Dr. Wahwee's castle
XP
18,935
Country
United States
While the latter part is true, it's not necessarily true that there is no loss or risk to updating to 5.5.1 if you are on lower firmwares.

For instance, let us suppose that "SALT" and "Mathew_Wi" are full of shit. Then, down the line, an IOSU exploit is released for 5.4 or 5.3.2 or whatever FW version you were on. Then what? You're screwed until it's adapted to 5.5.1

I've been reassured by many of those working on Wii U projects, QuarkTheAwesome, NWPlayer123, etc are all on 5.5.1. I took the plunge and dived right into 5.5.1. Is there a risk? Yes, there is, there always is, but to me it's a risk worth taking. I'd rather take their word than random rumors, personally.

Tell me, what's better?

Trusting the words of many developers working on the Wii U? Or trusting bits and pieces of rumors that have yet to be confirmed on a gaming forum?
 
Last edited by the_randomizer,

DKB

R.R.
Member
Joined
May 29, 2015
Messages
2,226
Trophies
1
Location
New York City, Manhattan
XP
4,515
Country
United States
While the latter part is true, it's not necessarily true that there is no loss or risk to updating to 5.5.1 if you are on lower firmwares.

For instance, let us suppose that "SALT" and "Mathew_Wi" are full of shit. Then, down the line, an IOSU exploit is released for 5.4 or 5.3.2 or whatever FW version you were on. Then what? You're screwed until it's adapted to 5.5.1

There is no risk. Confirmed already by multiple devs.
 

retrofan_k

Well-Known Member
Member
Joined
May 31, 2013
Messages
2,068
Trophies
1
Location
Caves
XP
2,370
Country
Belarus
While the latter part is true, it's not necessarily true that there is no loss or risk to updating to 5.5.1 if you are on lower firmwares.

For instance, let us suppose that "SALT" and "Mathew_Wi" are full of shit. Then, down the line, an IOSU exploit is released for 5.4 or 5.3.2 or whatever FW version you were on. Then what? You're screwed until it's adapted to 5.5.1

Fair and valid point but it's confirmed from other valid devs that it safe to update to 5.5.1.
 

Kohmei

Well-Known Member
Member
Joined
Feb 17, 2013
Messages
824
Trophies
0
XP
1,029
Country
United States
Trusting the words of many developers working on the Wii U? Or trusting bits and pieces of rumors that have yet to be confirmed on a gaming forum?
If it's true that there's no 5.5.1 disc update, then this is nothing more than a gamble. It might be a good gamble but it is still a gamble.

People should still be aware of the risk, if only for the sake of not being able to take it out on you later if shit hits the fan
 

Deleted member 370671

Ball of Kawaiiness
Member
Joined
Aug 23, 2015
Messages
1,435
Trophies
1
Location
Lowee
XP
1,601
Country
Korea, North
While the latter part is true, it's not necessarily true that there is no loss or risk to updating to 5.5.1 if you are on lower firmwares.

For instance, let us suppose that "SALT" and "Mathew_Wi" are full of shit. Then, down the line, an IOSU exploit is released for 5.4 or 5.3.2 or whatever FW version you were on. Then what? You're screwed until it's adapted to 5.5.1

SALT team, especially ShinyQuagsire, has released lot of stuff for the 3DS, and Mathew_Wi already worked on some Wii U stuff (like VC injection iirc). While I generally agree with the "I'll believe in it only when I have proof" thinking, you gotta trust people sometimes, especially when you do have reasons to trust them.
Also: http://wiiubrew.org/wiki/Exploits#IOSU_module_exploits
 
Last edited by Deleted member 370671,

the_randomizer

The Temp's official fox whisperer
Member
Joined
Apr 29, 2011
Messages
31,284
Trophies
2
Age
37
Location
Dr. Wahwee's castle
XP
18,935
Country
United States
If it's true that there's no 5.5.1 disc update, then this is nothing more than a gamble. It might be a good gamble but it is still a gamble.

People should still be aware of the risk, if only for the sake of not being able to take it out on you later if shit hits the fan

A fair point indeed, there aren't any games right now that have it, BOTW might, but we won't know till it's out. We've had the reassurances of developers that it's safe, take their word for it, and not mine; I'm only repeating that many devs have said, nothing more :P
 
Status
Not open for further replies.

You may also like...

General chit-chat
Help Users
    BentlyMods @ BentlyMods: oh i will make it flammable